%define upstream_name    B-Utils
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Easily build XS extensions that depend on XS extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::Depends) >= 0.301.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
  sub foo {
    dothis(1);
    find_things();
    return;
  }

has the following optree:

 d  <1> leavesub[1 ref] K/REFC,1 ->(end)
 -     <@> lineseq KP ->d
 1        <;> nextstate(main -371 bah.pl:8) v/2 ->2
 5        <1> entersub[t2] vKS/TARG,3 ->6
 -           <1> ex-list K ->5
 2              <0> pushmark s ->3
 3              <$> const[IV 1] sM ->4
 -              <1> ex-rv2cv sK/3 ->-
 4                 <#> gv[*dothis] s ->5
 6        <;> nextstate(main -371 bah.pl:9) v/2 ->7

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Thu Dec 01 2011 kharec <kharec> 0.170.0-1.mga2
+ Revision: 174753
- update to 0.17

* Wed Jun 22 2011 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 112086
- update to 0.15

* Sat Jun 11 2011 sander85 <sander85> 0.140.0-2.mga2
+ Revision: 103602
- perl 5.14

* Thu Mar 24 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 76853
- adding missing buildrequires:
- update to 0.14

* Tue Feb 22 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 56286
- adding missing buildrequires:
- update to 0.13

* Sat Jan 22 2011 jquelin <jquelin> 0.110.0-3.mga1
+ Revision: 32728
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.110.0-2.mga1
+ Revision: 29813
- mageia rebuild
- imported package perl-B-Utils

